PerTestRunListener (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.test.junit4.listener
[Groovy] Class PerTestRunListener

    java.lang.Object
      org.codehaus.groovy.grails.test.junit4.listener.PerTestRunListener

    @groovy.transform.CompileStatic
    class PerTestRunListener
    extends java.lang.Object

Property Summary
`java.lang.String` | `name`

Constructor Summary
`PerTestRunListener(java.lang.String name, GrailsTestEventPublisher eventPublisher, JUnitReports reports, SystemOutAndErrSwapper outAndErrSwapper)`

Method Summary
`static junit.framework.JUnit4TestCaseFacade` | `createJUnit4TestCaseFacade(org.junit.runner.Description description)`
`void` | `finish()`
`void` | `start()`
`void` | `testFailure(org.junit.runner.notification.Failure failure)`
`void` | `testFinished(org.junit.runner.Description description)`
`void` | `testStarted(org.junit.runner.Description description)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### name

    final java.lang.String name

Constructor Detail

### PerTestRunListener

    PerTestRunListener(java.lang.String name, GrailsTestEventPublisher eventPublisher, JUnitReports reports, SystemOutAndErrSwapper outAndErrSwapper)

Method Detail

### createJUnit4TestCaseFacade

    static junit.framework.JUnit4TestCaseFacade createJUnit4TestCaseFacade(org.junit.runner.Description description)

### finish

    void finish()

### start

    void start()

### testFailure

    void testFailure(org.junit.runner.notification.Failure failure)

### testFinished

    void testFinished(org.junit.runner.Description description)

### testStarted

    void testStarted(org.junit.runner.Description description)

Groovy Documentation